GyotoPageThorneDisk.h File Reference

A geometrically thin, optically thick disk. More...

`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`
`#include <GyotoThinDisk.h>`
`#include <GyotoBlackBodySpectrum.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::PageThorneDisk
| Geometrically thin disk in Kerr metric. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

A geometrically thin, optically thick disk.

This class describes a disk contained in the z=0 (equatorial) plane, extending from r=r_ISCO to r=infinity. The flux emitted at radius r is given by Page & Thorne (1974, ApJ 191:499, Eqs. 11b, 14, 15).

Only bolometric flux is implemented (as quantity User4), no spectral resolution.